// Copyright: (c) by Crytek GmbH
#define PI			3.1415926535897932384626433832795


// /param invDirection has to be normalized
// /param outvA
// /param outvB
void GetOtherBaseVec( const D3DXVECTOR3 &invDirection, D3DXVECTOR3 &outvA, D3DXVECTOR3 &outvB );


// outVertices[indwCount*2+2]
void Build3DCone( POLYBUMPVERTEX *outVertices, DWORD indwCount, float infR1, float infR2,
									D3DXVECTOR3 invPos1, D3DXVECTOR3 invPos2 );



float CalcAngle( const D3DXVECTOR3 &invA, const D3DXVECTOR3 &invB );